import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, o = c.length - 1, l; o >= 0; o--)
    (l = c[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && h(t, i, e), e;
};
let s = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--email", this.class = "c-pieIcon c-pieIcon--email", this.name = "IconEmail";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--email"><path d="M13.451 2.802H2.55A1.566 1.566 0 0 0 1 4.36v7.28a1.566 1.566 0 0 0 1.566 1.557h10.885A1.566 1.566 0 0 0 15 11.64V4.36a1.566 1.566 0 0 0-1.549-1.558m.254 2.17v6.204l-3.351-3.097zM7.58 9.846a.647.647 0 0 0 .884 0l.945-.875 3.15 2.914H3.363l3.22-2.923zm5.145-5.731L8 8.472 3.196 4.097zM5.603 8.079l-3.308 3V5.07z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-email")
], s);
export {
  s as IconEmail
};
